Bug 348880 - Ekos doesn't save images with Index > 100
Summary: Ekos doesn't save images with Index > 100
Status: RESOLVED FIXED
Alias: None
Product: kstars
Classification: Unclassified
Component: general (show other bugs)
Version: git
Platform: Other Linux
: NOR critical (vote)
Target Milestone: ---
Assignee: Akarsh Simha
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-06-08 12:22 UTC by Christian Dersch
Modified: 2015-06-29 16:27 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 15.10


Attachments
Fix (890 bytes, patch)
2015-06-08 12:23 UTC, Christian Dersch
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christian Dersch 2015-06-08 12:22:20 UTC
Ekos doesn't save images with Index > 100, so when you perform an image session at night, all images with index > 100 will be lost :(

Reproducible: Always

Steps to Reproduce:
1. Start KStars
2. Start Ekos, use CCD Simulator as a device
3. Perform a capture job with >100 images
4. Recognize that images with count >100 are not saved

Actual Results:  
Images with count >100 are not saved

Expected Results:  
images with count >100 will be saved

I already created a patch which seems to fix the issue. Also happens with KStars version included in applications 15.04.x => please apply the fix there too

Link to the patch: https://lupinix.fedorapeople.org/kstars_fix_captureindex.diff
Comment 1 Christian Dersch 2015-06-08 12:23:35 UTC
Created attachment 93073 [details]
Fix

Patch which hopefully fixed the issue without creating new ones
Comment 2 Jasem Mutlaq 2015-06-10 10:05:50 UTC
The actual fix was a bit more complex than this, and now it can save up to 999. Thanks for the report.